Subject: Re: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: Federico Tedin <[email-masked]>
Date: Fri, 5 Oct 2018 09:15:44 -0300

> When the `inserting' cursor is located at left side of rectangle and on
> the same line as the first line of the rectangle, user should be allowed
> to move the rectangle, I think.

The example Homeros tried to run won't work, because the newly intersected
rectangle would intersect the original rectangle. This behaviour is
intentional, as it
is similar to mouse-drag-and-drop-region's behaviour with non-rectangle regions.

However, I think an exception could be made for rectangle operations move the
rectangle horizontally to the left, as Tak said. When the rectangle is
dragged to the left,
there's no way its content could be accidentally added to the overlays
tracking the original
rectangle, so it'll always work correctly (even if
rectangle-intersect-p returns t).